/** @file
 * $Source: /home/cvsmanager/yoda/event/Algorithm.cpp,v $
 * $Id: Algorithm.cpp,v 3.0 2005/03/04 15:54:11 kusanagi Exp $
 * $Author: kusanagi $
 * 
 * Implementation of the default functions of the Algorithm class.
 */

#include "Algorithm.h"
#include <log4cxx/logger.h>
using namespace pamela;

static log4cxx::LoggerPtr logger = log4cxx::Logger::getLogger(_T("pamela.Algorithm"));

/**
 * Constructor. Builds an algorithm that processes the events of a certain 
 * type.
 */
Algorithm::Algorithm(const PacketType* t, std::string name): 
  type(t), AlgorithmName(name) { 
  logger->debug(_T("Constructor"));
}

ClassImp(Algorithm)
